All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::scalar_expression< LHS, RHS, op_norm_frobenius > Class Template Reference

Specialization of a scalar expression for norm_frobenius. Allows for a final reduction on the CPU. More...

`#include <scalar.hpp>`

## Public Types

typedef viennacl::result_of::cpu_value_type < LHS >::type | ScalarType

## Public Member Functions

| scalar_expression (LHS &lhs, RHS &rhs)
LHS & | lhs () const
| Returns the left hand side operand. More...
RHS & | rhs () const
| Returns the left hand side operand. More...
| operator ScalarType () const
| Conversion operator to a ViennaCL scalar. More...

## Detailed Description

### template<typename LHS, typename RHS>
class viennacl::scalar_expression< LHS, RHS, op_norm_frobenius >

Specialization of a scalar expression for norm_frobenius. Allows for a final reduction on the CPU.

Template Parameters

  LHS | The left hand side operand
  RHS | The right hand side operand

Definition at line 310 of file scalar.hpp.

## Member Typedef Documentation

template<typename LHS , typename RHS >

typedef viennacl::result_of::cpu_value_type<LHS>::type viennacl::scalar_expression< LHS, RHS, op_norm_frobenius >::ScalarType

Definition at line 314 of file scalar.hpp.

## Constructor & Destructor Documentation

template<typename LHS , typename RHS >

viennacl::scalar_expression< LHS, RHS, op_norm_frobenius >::scalar_expression | ( | LHS & | lhs,
|  | RHS & | rhs
| ) |  |

inline

Definition at line 316 of file scalar.hpp.

## Member Function Documentation

template<typename LHS , typename RHS >

LHS& viennacl::scalar_expression< LHS, RHS, op_norm_frobenius >::lhs | ( |  | ) | const

inline

Returns the left hand side operand.

Definition at line 319 of file scalar.hpp.

template<typename LHS , typename RHS >

viennacl::scalar_expression< LHS, RHS, op_norm_frobenius >::operator ScalarType | ( |  | ) | const

inline

Conversion operator to a ViennaCL scalar.

Definition at line 324 of file scalar.hpp.

template<typename LHS , typename RHS >

RHS& viennacl::scalar_expression< LHS, RHS, op_norm_frobenius >::rhs | ( |  | ) | const

inline

Returns the left hand side operand.

Definition at line 321 of file scalar.hpp.

The documentation for this class was generated from the following file:

- viennacl/scalar.hpp